require "thor"
require "bbc/cosmos/tools/commands/config"
require "bbc/cosmos/tools/commands/release"
require "bbc/cosmos/tools/commands/stack"
require "bbc/cosmos/tools/commands/component"

module BBC
  module Cosmos
    module Tools
      class App < Thor
        include Thor::Actions

        desc "config", "Cosmos sub commands"
        subcommand "config", Commands::Config

        desc "release", "Cosmos release sub commands"
        subcommand "release", Commands::Release

        desc "stack", "Cosmos stack sub commands"
        subcommand "stack", Commands::Stack

        desc "component", "Cosmos component sub commands"
        subcommand "component", Commands::Component
      end
    end
  end
end
